Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels
Class BaseChannel

    java.lang.Object
      org.jasig.portal.channels.BaseChannel

All Implemented Interfaces:
  IChannel

Direct Known Subclasses:
  CChannelManager, CError, CHeader, CHistory, CSecureInfo, CSessionLocalesSelector, CSiteMap, CSkinSelector, CURLSelector, CUserLocalesSelector, CViewer, DlmIntroChannel, FragmentManager, StandaloneChannelRenderer

    public abstract class BaseChannel

extends java.lang.Object
implements IChannel

A base class from which channels implementing IChannel interface can be derived. Use this only if you are familiar with IChannel interface.

Version:
  $Revision: 1.16.2.1 $
Author:
  Peter Kharchenko

Field Summary
`protected org.apache.commons.logging.Log` | `log` A Commons Logging log instance which will log as the runtime class extending this BaseChannel.
`protected ChannelRuntimeData` | `runtimeData`
`protected ChannelStaticData` | `staticData`

Constructor Summary
`BaseChannel()`

Method Summary
`ChannelRuntimeProperties` | `getRuntimeProperties()` Acquires ChannelRuntimeProperties from the channel.
`void` | `receiveEvent(PortalEvent ev)` Passes an outside event to a channel.
`void` | `renderXML(org.xml.sax.ContentHandler out)` Ask channel to render its content.
`void` | `setRuntimeData(ChannelRuntimeData rd)` Passes ChannelRuntimeData to the channel.
`void` | `setStaticData(ChannelStaticData sd)` Passes ChannelStaticData to the channel.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### staticData

    protected ChannelStaticData staticData

### runtimeData

    protected ChannelRuntimeData runtimeData

### log

    protected org.apache.commons.logging.Log log

  A Commons Logging log instance which will log as the runtime class extending this BaseChannel. Channels extending BaseChannel can use this Log instance rather than instantiating their own.

Constructor Detail

### BaseChannel

    public BaseChannel()

Method Detail

### getRuntimeProperties

    public ChannelRuntimeProperties getRuntimeProperties()

  Description copied from interface: `IChannel`
  Acquires ChannelRuntimeProperties from the channel. This function may be called by the portal framework throughout the session. Currently, as of uPortal 2.5.1, the framework calls this method after each invocation of renderXML (to determine if there is a dynamic channel title). Prior to uPortal 2.5.1, the framework would not call this method.

  Specified by:
    `getRuntimeProperties` in interface `IChannel`
  See Also:
    `ChannelRuntimeProperties`

### receiveEvent

    public void receiveEvent(PortalEvent ev)

  Description copied from interface: `IChannel`
  Passes an outside event to a channel. Events should normally come from the LayoutBean.

  Specified by:
    `receiveEvent` in interface `IChannel`
  Parameters:
    `ev` - PortalEvent object
  See Also:
    `PortalEvent`

### setStaticData

    public void setStaticData(ChannelStaticData sd)
                       throws PortalException

  Description copied from interface: `IChannel`
  Passes ChannelStaticData to the channel. This is done during channel instantiation time. see org.jasig.portal.ChannelStaticData

  Specified by:
    `setStaticData` in interface `IChannel`
  Parameters:
    `sd` - channel static data
  Throws:
    `PortalException`
  See Also:
    `ChannelStaticData`

### setRuntimeData

    public void setRuntimeData(ChannelRuntimeData rd)
                        throws PortalException

  Description copied from interface: `IChannel`
  Passes ChannelRuntimeData to the channel. This function is called prior to the renderXML() call.

  Specified by:
    `setRuntimeData` in interface `IChannel`
  Parameters:
    `rd` - channel runtime data
  Throws:
    `PortalException`
  See Also:
    `ChannelRuntimeData`

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out)
                   throws PortalException

  Description copied from interface: `IChannel`
  Ask channel to render its content.

  Specified by:
    `renderXML` in interface `IChannel`
  Parameters:
    `out` - the SAX ContentHandler to output content to
  Throws:
    `PortalException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD